From 30aff5ea2aebcfc0e97e60e73ed3edc2363634a0 Mon Sep 17 00:00:00 2001
From: Ivo Timmermans <ivo@lychnis.net>
Date: Tue, 16 May 2000 13:03:32 +0000
Subject: [PATCH] Look if the tap devices exist before bluntly remaking them.

---
 debian/postinst | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/debian/postinst b/debian/postinst
index 5bd19550..ffe4dce4 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -1,7 +1,7 @@
 #! /bin/sh
 # postinst script for tinc
 #
-# $Id: postinst,v 1.1 2000/05/16 07:56:05 zarq Exp $
+# $Id: postinst,v 1.2 2000/05/16 13:03:32 zarq Exp $
 #
 # see: dh_installdeb(1)
 
@@ -26,8 +26,15 @@ set -e
 
 case "$1" in
     configure)
-
-	cd /dev && ./MAKEDEV netlink || true
+	if [ ! -e /dev/.devfs ] ; then
+	    devices_exist=1
+	    for d in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 ; do
+		test -e /dev/tap$d || $devices_exist=0
+	    done
+	    if [ $devices_exist -eq 0 ] ; then
+		cd /dev && ./MAKEDEV netlink || true
+	    fi
+	fi
 
     ;;
 
-- 
2.39.5